import { SvelteComponentTyped } from "svelte";
import type { Props } from './types.js';
declare const __propDef: {
    props: {
        prismJS?: Props['prismJS'] | null;
        highlightjs?: Props['highlightjs'] | null;
        value: Props['value'];
        language: Props['language'];
        onChange: Props['onChange'];
        placeholder: Props['placeholder'];
        resize: Props['resize'];
        autoHeight?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type CodeInputProps = typeof __propDef.props;
export type CodeInputEvents = typeof __propDef.events;
export type CodeInputSlots = typeof __propDef.slots;
export default class CodeInput extends SvelteComponentTyped<CodeInputProps, CodeInputEvents, CodeInputSlots> {
}
export {};
